Subject: bug#17478: "No such file or directoryn" due to incorrect escaping

From: Peter Rosin <[email-masked]>
Date: Tue, 13 May 2014 14:26:28 +0200

close 17478
stop

On 2014-05-13 12:59, Egmont Koblinger wrote:
> Thanks very much, it works as expected.

Glad to hear it!

> I've applied the patch to the system-wide /usr/share/libtool/config/ltmain.sh.

I suppose that would work, yes.

> The only change in the generated vte-2.91 script is:
> -    printf %s\n "$relink_command_output" >&2
> +    $ECHO "$relink_command_output" >&2
> 
> Given that the script contains a couple more $ECHO's here and there to
> print stuff, I assume this is the desired result.

Indeed.

> Running the script produces the proper error message formatted
> correctly, with newline instead of 'n':
> 
> PROMPT$ ./src/vte-2.91
> gcc: error: vte_2_91-app.o: No such file or directory
> gcc: error: vte_2_91-appresources.o: No such file or directory
> gcc: error: ./.libs/libvte-2.91.so: No such file or directory
> PROMPT$

Thanks for verifying that! I have now pushed the patch, and I'm
closing this bug.

Cheers,
Peter